part of 'team_recommend_bloc.dart';

abstract class TeamRecommendEvent extends Equatable {
  const TeamRecommendEvent();

  @override
  List<Object> get props => [];
}

class TeamRecommendInitEvent extends TeamRecommendEvent {
  TeamDataModel dataModel;

  TeamRecommendInitEvent({this.dataModel});

  @override
  List<Object> get props => [this.dataModel];
}

class TeamRecommendRelateEvent extends TeamRecommendEvent {
  final String inviteCode;

  TeamRecommendRelateEvent(this.inviteCode);

  @override
  List<Object> get props => [this.inviteCode];
}
